# Quickstart

Let's create a simple MCP server that exposes a calculator tool and some data:

# server.py
```python
from mcp.server.fastmcp import FastMCP
```


# Create an MCP server
```python
mcp = FastMCP("Demo")
```


# Add an addition tool
```python
@mcp.tool()
def add(a: int, b: int) -> int:
    """Add two numbers"""
    return a + b
```


# Add a dynamic greeting resource
```python
@mcp.resource("greeting://{name}")
def get_greeting(name: str) -> str:
    """Get a personalized greeting"""
    return f"Hello, {name}!"
```


You can install this server in [Claude Desktop](https://claude.ai/download) and interact with it right away by running:

```bash
mcp install server.py
```

Alternatively, you can test it with the MCP Inspector:

```bash
mcp dev server.py
```
